Community
Starting in December, we will archive content from the community that is 10 years and older. This FAQ provides more information.
Hi all,
I have an iLogic code that can export dxf of flat pattern from sheetmetal part.
Now I need to add external dimensions and write number of pieces automatically to this dxf.
Is there any way to do it?
Thanks for any advice.
My code is here:
Dim FilePath As String FilePath = ThisDoc.Path & "\" If ThisApplication.ActiveDocument.ComponentDefinition.HasFlatPattern = False Then ThisApplication.ActiveDocument.ComponentDefinition.Unfold Else ThisApplication.ActiveDocument.ComponentDefinition.FlatPattern.Edit End If Dim fSett As String fSett = "FLAT PATTERN DXF?AcadVersion=2000&InvisibleLayers=IV_UNCONSUMEND_SKETCHES;IV_ALTREP_BACK;IV_ALTREP_FRONT;IV_ARC_CENTERS;IV_TOOL_CENTER_DOWN;IV_TOOL_CENTER;IV_ARC_CENTERS;IV_TANGENT;IV_BEND;IV_BEND_DOWN&SplineTolerance Double 0.01&MergeProfilesIntoPolyline" Dim fSname As String fSname = FilePath & ThisDoc.FileName(False) & ".dxf" ThisApplication.ActiveDocument.ComponentDefinition.FlatPattern.ExitEdit
There is some code that might be close to what you want here:
https://forums.autodesk.com/t5/inventor-customization/export-idw-to-dxf/td-p/7539297/page/2
Can't find what you're looking for? Ask the community or share your knowledge.